# PSF-LoginServer - master - net.psforever.objects.entity.IdentifiableEntity
PSF - LoginServer - master - net.psforever.objects.entity.IdentifiableEntity
Keywords: PSF LoginServer master net.psforever.objects.entity.IdentifiableEntity

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package entity
  Definition Classes
    objects
- AssigningGUIDException
- GUIDException
- Identifiable
- IdentifiableEntity
- NoGUIDException
- SimpleWorldEntity
- WorldEntity

o

net.psforever.objects.entity

# IdentifiableEntity 

###
Companion class IdentifiableEntity

#### object IdentifiableEntity

Source
  IdentifiableEntity.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IdentifiableEntity
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getWhenNoGUID(o: IdentifiableEntity): PlanetSideGUID

    Raise an `Exception` because the entity is never considered having a GUID to give.

    Raise an `Exception` because the entity is never considered having a GUID to give.

    o

      the any entity with a GUID

    returns

      never returns

    Exceptions thrown

      ``NoGUIDException`` always

11.  def getWhenValidGUID(o: IdentifiableEntity): PlanetSideGUID

    The entity should have a valid GUID that can be provided.

    The entity should have a valid GUID that can be provided.

    o

      the entity

    returns

      the entity's GUID

12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def setWhenNoGUID(o: IdentifiableEntity, guid: PlanetSideGUID): PlanetSideGUID

    Provide the entity with a valid GUID replacing an invalid GUID.

    Provide the entity with a valid GUID replacing an invalid GUID. Modify the accessor and mutator function literals to ensure the entity will remain stable. It will not be mutated by a new valid value without the existing valid value having to first be invalidated. Its access is made standard.

    o

      the any entity with a GUID

    guid

      the valid GUID to assign

    returns

      the GUID

18.  def setWhenValidGUID(o: IdentifiableEntity, guid: PlanetSideGUID): PlanetSideGUID

    The entity is in a condition where it can not be assigned the new valid GUID.

    The entity is in a condition where it can not be assigned the new valid GUID. This state establishes itself after setting the very first valid GUID and will persist until the entity is invalidated.

    o

      the any entity with a GUID

    guid

      the valid GUID to assign

    returns

      never returns

    Exceptions thrown

      ``AssigningGUIDException`` always

19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped